Bug 111434 - instructors should be able to reset student questions
instructors should be able to reset student questions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Academy
Classification: Retired
Component: Web Application (Show other bugs)
9
All Linux
high Severity medium
: ---
: ---
Assigned To: Luke Meyer
Bowe Strickland
https://academy.redhat.com/instructor...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-03 12:32 EST by Bowe Strickland
Modified: 2007-03-27 00:12 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 17:32:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bowe Strickland 2003-12-03 12:32:39 EST
In order to recover from "accidental" submissions, instructors should
be able to reset student question to "unanswered" state.

A natural interface would be to add a checkbox selector column to the
individual question table for a single student, and add a button
"reset selected questions".  The button should be followed by a 
confirmation page (popup? probably not...)  which regurgitates student 
name and selected questions, and gives the option to cancel.

Upon success or cancellation, page should return to student perfomance
page.
Comment 1 Luke Meyer 2003-12-12 15:23:46 EST
Would this be only for lessons?  Or do we need a way to back out test
submissions as well?



---------------- Bowe's response ----------------------------

I think your comments gots crossed up with the wrong bug.

Assuming that this is in reference to cancelling student question
submissions,
how about this...

1) individual lesson questions 
2) entire tests

(assuming that helps clean up the "completion" issue with tests).

don't let the latter hold up implementation of the former...


---------------------- my further note ---------------------

This bug will be only for lesson questions.  bug 106363 will be kept
for tests.

Note You need to log in before you can comment on or make changes to this bug.